### Class method

# Camel SettingsClass list_settings

since: 3.2

#### Declaration [src]

    GParamSpec**
    camel_settings_class_list_settings (
      CamelSettingsClass* settings_class,
      guint* n_settings
    )

#### Description [src]

Returns an array of `GParamSpec` for properties of `class` which are considered to be settings. By default all properties are considered to be settings, but subclasses may wish to exclude certain properties. Free the returned array with g_free().

Available since: 3.2

#### Parameters

`n_settings`

  Type: `guint*`

  Return location for the length of the returned array.

  The data is owned by the caller of the method.

#### Return value

Type: `GParamSpec`

An array of `GParamSpec` which should be freed after use.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.